NI-FGEN .NET Resources

Overview

Use this page to find the correct NI .NET API for the version of the driver you have installed.

If this is your first time reaching this page, please visit .NET Resources for NI Hardware and Software to understand the .NET API options NI provides.

Contents

NI Native .NET APIs for NI-FGEN

The following table shows the correct versions of the NI native .NET API to use when writing an application for specific versions of the NI-FGEN driver in C# or VB .NET. Applications written using a specific version of the API can be deployed to run on systems on which any of the driver versions listed in the API's row is installed.

Driver Version NI Native .NET API Download Documentation

NI-FGEN 18.0 and Later

Included in driver installer

Installation: Installing NI Software for Visual Studio C# or .NET Development

Help: <Public Documents>\National Instruments\NI-FGEN\Documentation

Examples: <Public Documents>\National Instruments\NI-FGEN\NI-FGEN Examples\DotNET<x.x>

NI-FGEN 17.1
NI-FGEN 16.0

NI-FGEN .NET Class Libraries 16.0

NI-FGEN.NET Class Libraries 16.0 Readme

Source Code Wrapper APIs for NI-FGEN

NI recommends you use an available NI native .NET API instead of using a source code wrapper API. Please read about the differences between NI native .NET APIs and source code wrapper APIs at .NET Resources for NI Hardware and Software. If you must use a source code wrapper API, use the following table to locate the correct version for the version of the NI-FGEN driver you are using.

For general programming reference, please refer to the NI-FGEN Help.

Driver Version Source Code Wrapper API Download
NI-FGEN 15.0

 

NI-FGEN 15.0 .NET Wrapper

 

NI-FGEN 14.0

NI-FGEN 2.9.3

NI-FGEN 2.9.1

NI-FGEN 2.9

 

NI-FGEN 2.9 .NET Wrapper

 

NI-FGEN 2.8.1

NI-FGEN 2.7.3

NI-FGEN 2.7.2

NI-FGEN 2.6.1

 

NI-FGEN 2.6.1 .NET Wrapper